<?php

/**
 * Fired during plugin activation
 *
 * @link       itdavoodi.ir
 * @since      1.0.0
 *
 * @package    Zplugin
 * @subpackage Zplugin/includes
 */

/**
 * Fired during plugin activation.
 *
 * This class defines all code necessary to run during the plugin's activation.
 *
 * @since      1.0.0
 * @package    Zplugin
 * @subpackage Zplugin/includes
 * @author     zahra davoodi <it.davoodi@gmail.com>
 */
class Zplugin_Activator {

	/**
	 * Short Description. (use period)
	 *
	 * Long Description.
	 *
	 * @since    1.0.0
	 */
    public static function activate() {
        // Saved Page Arguments
        $saved_page_args = array(
            'post_title'   => __( 'Saved', 'toptal-save' ),
            'post_content' => '[toptal-saved]',
            'post_status'  => 'publish',
            'post_type'    => 'page'
        );
        // Insert the page and get its id.
        $saved_page_id = wp_insert_post( $saved_page_args );
        // Save page id to the database.
        add_option( 'toptal_save_saved_page_id', $saved_page_id );
    }
}
