<?php

/**
 * Fired during plugin deactivation
 *
 * @link       itdavoodi.ir
 * @since      1.0.0
 *
 * @package    Zplugin
 * @subpackage Zplugin/includes
 */

/**
 * Fired during plugin deactivation.
 *
 * This class defines all code necessary to run during the plugin's deactivation.
 *
 * @since      1.0.0
 * @package    Zplugin
 * @subpackage Zplugin/includes
 * @author     zahra davoodi <it.davoodi@gmail.com>
 */
class Zplugin_Deactivator {

	/**
	 * Short Description. (use period)
	 *
	 * Long Description.
	 *
	 * @since    1.0.0
	 */

    public static function deactivate() {

        // Get Saved page id.
        $saved_page_id = get_option( 'toptal_save_saved_page_id' );

        // Check if the saved page id exists.
        if ( $saved_page_id ) {

            // Delete saved page.
            wp_delete_post( $saved_page_id, true );

            // Delete saved page id record in the database.
            delete_option( 'toptal_save_saved_page_id' );

        }

    }

}
